summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2015-05-23 19:45:38 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-24 13:26:23 +0700
commitf616ac744620207ebfac607b5c207209f6d421b5 (patch)
treee8db57c01b2ada2491b3e06935858686c9d2821d
parent2354bf1b669c8d8dc431992c952c5668f3957066 (diff)
downloadslackbuilds-f616ac744620207ebfac607b5c207209f6d421b5.tar.gz
slackbuilds-f616ac744620207ebfac607b5c207209f6d421b5.tar.xz
system/jq: Added (command-line JSON processor)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--system/jq/README5
-rw-r--r--system/jq/jq.SlackBuild101
-rw-r--r--system/jq/jq.info10
-rw-r--r--system/jq/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/system/jq/README b/system/jq/README
new file mode 100644
index 0000000000..02ab67cff1
--- /dev/null
+++ b/system/jq/README
@@ -0,0 +1,5 @@
+jq is a lightweight and flexible command-line JSON processor.
+
+jq is like sed for JSON data - you can use it to slice and filter
+and map and transform structured data with the same ease that
+sed, awk, grep and friends let you play with text.
diff --git a/system/jq/jq.SlackBuild b/system/jq/jq.SlackBuild
new file mode 100644
index 0000000000..8c538bf3a2
--- /dev/null
+++ b/system/jq/jq.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for jq
+
+# Copyright 2015 Gary Herreman <gary@garyrh.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=jq
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Put docs into proper directory.
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/share
+
+cp -a docs/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/jq/jq.info b/system/jq/jq.info
new file mode 100644
index 0000000000..80a280623d
--- /dev/null
+++ b/system/jq/jq.info
@@ -0,0 +1,10 @@
+PRGNAM="jq"
+VERSION="1.4"
+HOMEPAGE="https://stedolan.github.io/jq/"
+DOWNLOAD="https://stedolan.github.io/jq/download/source/jq-1.4.tar.gz"
+MD5SUM="e3c75a4f805bb5342c9f4b3603fb248f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gary Herreman"
+EMAIL="gary@garyrh.com"
diff --git a/system/jq/slack-desc b/system/jq/slack-desc
new file mode 100644
index 0000000000..d07f0b44a4
--- /dev/null
+++ b/system/jq/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jq: jq (command-line JSON processor)
+jq:
+jq: jq is a lightweight and flexible command-line JSON processor.
+jq:
+jq: jq is like sed for JSON data - you can use it to slice and filter
+jq: and map and transform structured data with the same ease that
+jq: sed, awk, grep and friends let you play with text.
+jq:
+jq: Homepage: https://stedolan.github.io/jq/
+jq:
+jq: